Skip to content
View in Postman (opens in new tab)

Replace catalog items

put

/catalogs/{catalog_name}/items

Use this endpoint to replace multiple items in your catalog.

If a catalog item doesn’t exist, this endpoint will create the item in your catalog. Each request can support up to 50 catalog items. This endpoint is asynchronous.

Troubleshooting

The following table lists possible returned errors and their associated troubleshooting steps.

Error Troubleshooting
catalog-not-found Check that the catalog name is valid.
company-size-limit-already-reached The catalog storage size limit is reached. To learn about storage tiers, see Data storage limitations.
company-size-limit-surge The request exceeds your company’s remaining catalog storage. Try again with a smaller update. To learn about storage tiers, see Data storage limitations.
ids-not-strings Confirm that each item ID is a string.
ids-not-unique Check that each item ID is unique.
ids-too-large Character limit for each item ID is 250 characters.
items-array-is-invalid items must be an array of objects.
items-missing-ids Some items don’t have item IDs. Confirm that each item has an ID.
items-too-large Item values can’t exceed 5,000 characters.
invalid-ids Supported characters for item ID names are letters, numbers, hyphens, and underscores.
invalid-fields Confirm that all fields you are sending in the API request already exist in the catalog. This is not related to the ID field mentioned in the error.
invalid-keys-in-value-object Item object keys can’t include . or $.
too-deep-nesting-in-value-object Item objects can’t have more than 50 levels of nesting.
request-includes-too-many-items Your request has too many items. The item limit per request is 50.
unable-to-coerce-value Item types can’t be converted.

You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!